// ***********************************************************************************************************************
// ** File:         update.ino                                                                                          **
// ** Title:        Functions for EEProm                                                                                **
// ** CPU:          ESP-8266                                                                                            **
// ** Created:      15.12.2017                                                                                          **
// ** Revised:      15.12.2017                                                                                          **
// ** Version:      1.0                                                                                                 **
// ** Note:                                                                                                             **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// ***********************************************************************************************************************

// INCLUDES **************************************************************************************************************
#include "update.h"                                                           // 
// ***********************************************************************************************************************

// VARIABLES *************************************************************************************************************

// ***********************************************************************************************************************

// FUNCTION **************************************************************************************************************
void espota  ( )                                                              // 
{                                                                             // 
  //ArduinoOTA.setPort(8266);                                                 // Port defaults to 8266
  ArduinoOTA.setHostname  (dev_name);                                         // Hostname defaults to esp8266-[ChipID]
  ArduinoOTA.onStart      ([]()                                               // 
  {                                                                           // 
    server.close    ( );                                                      // 
    SPIFFS.end      ( );                                                      // 
  });                                                                         //
  ArduinoOTA.onEnd        ([]()                                               // 
  {                                                                           // 
    SPIFFS.begin    ( );                                                      // 
    server.begin    ( );                                                      // 
  });                                                                         //
  ArduinoOTA.onProgress   ([](unsigned int progress, unsigned int total) { });//
  ArduinoOTA.onError      ([](ota_error_t error) {});                         //
  ArduinoOTA.begin        ( );                                                //
}                                                                             // 
// ***********************************************************************************************************************
