// COMPILER INFORMATION **************************************************************************************************
#ifndef STECKDOSE_H                                                           //
#define STECKDOSE_H                                                           //
// ***********************************************************************************************************************

// INCLUDES **************************************************************************************************************
#include <ESP8266WiFi.h>                                                      // 
#include <WiFiClient.h>                                                       // 
#include <ESP8266WebServer.h>                                                 // 
#include <ESP8266mDNS.h>                                                      // 
#include <WiFiUdp.h>                                                          // 
#include <FS.h>                                                               // 

WiFiClient              espClient;                                            //

#include "global.h"                                                           // 
#include "ntp.h"                                                              // 
#include "eep.h"                                                              // 
#include "update.h"                                                           // 
#include "mqtt.h"                                                             // 
#include "http.h"                                                             // 
// ***********************************************************************************************************************

// VARIABLES *************************************************************************************************************
extern unsigned long    prev_millis;                                          //
extern unsigned char    temp_day;                                             //
extern unsigned char    temp_minute;                                          //
extern unsigned char    temp_switch1;                                         //
extern long             rssi;                                                 //
extern long             avg_rssi;                                             //
extern unsigned int     count;                                                //
// ***********************************************************************************************************************

// FUNCTION **************************************************************************************************************
void                    WiFiStart       ( void );                             // 
WiFiEventHandler        gotIpEventHandler, disconnectedEventHandler;          // 
// ***********************************************************************************************************************
#endif                                                                        //
