// ***********************************************************************************************************************
// ** File:         http.h                                                                                              **
// ** Title:        Functions for HTTP-Protocol                                                                         **
// ** CPU:          ESP-8266                                                                                            **
// ** Created:      24.12.2017                                                                                          **
// ** Revised:      24.12.2017                                                                                          **
// ** Version:      1.0                                                                                                 **
// ** Note:                                                                                                             **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// **                                                                                                                   **
// ***********************************************************************************************************************

// COMPILER INFORMATION **************************************************************************************************
#ifndef HTTP_H                                                                //
#define HTTP_H                                                                //
// ***********************************************************************************************************************

// INCLUDES **************************************************************************************************************
#include "global.h"                                                           // 
#include "mqtt.h"                                                             //  
#include <FS.h>                                                               // 
// ***********************************************************************************************************************

// DEFINES **************************************************************************************************************

// ***********************************************************************************************************************

// VARIABLES *************************************************************************************************************

// ***********************************************************************************************************************

// FUNCTION **************************************************************************************************************
ESP8266WebServer        server ( 80 );                                        // Start Webserver on Port 80
void                    http_server_init  ( void );                           // 
void                    http_dyndata_0    ( void );                           // 
void                    http_dyndata_1    ( void );                           // 
void                    http_dyndata_2    ( void );                           // 
void                    http_dyndata_3    ( void );                           // 
void                    handleNotFound    ( void );                           // 
// ***********************************************************************************************************************
#endif                                                                        //
